Package org.eclipse.birt.report.engine.api.script.element

# Interface IDesignElement

All Known Subinterfaces:
  `IAutoText`, `ICell`, `IDataItem`, `IDynamicText`, `IGrid`, `IGroup`, `IImage`, `ILabel`, `IList`, `IListGroup`, `IListing`, `IMasterPage`, `IReportDesign`, `IReportElement`, `IReportItem`, `IRow`, `ITable`, `ITableGroup`, `ITextItem`

public interface IDesignElement
Script wrapper of DesignElementHandle

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamedExpression(String name)`
Returns name of user property defined in this element.
`IDesignElement`
`getParent()`
Return the parent of this element
`String`
`getQualifiedName()`
Gets the name of this element.
`IReportDesign`
`getReport()`
Gets the report.
`IScriptStyleDesign`
`getStyle()`
Gets design element style.
`Object`
`getUserProperty(String name)`
Deprecated.
`Object`
`getUserPropertyExpression(String name)`
Returns user property as an expression defined in this element.
`void`
`setNamedExpression(String name, String exp)`
Sets name of user property defined in this element.
`void`
`setUserProperty(String name, Object value, String type)`
Sets user property defined in this element.
`void`
`setUserProperty(String name, String value)`
Sets user property defined in this element.

## Method Details

### getStyle

IScriptStyleDesign getStyle()
Gets design element style.

Returns:
  style

### getQualifiedName

String getQualifiedName()
Gets the name of this element. The returned element name will be the same as `getName()`, plus the namespace of the module that the elment is contained, if any. If the element is existed in the current module,this method and `getName()` will return identical results.

Returns:
  the qualified name of thie element.

### getNamedExpression

String getNamedExpression(String name)
Returns name of user property defined in this element.

Parameters:
  `name` -
Returns:
  name of user property

### setNamedExpression

void setNamedExpression(String name, String exp) throws ScriptException
Sets name of user property defined in this element.

Parameters:
  `name` - name of user property
  `exp` - name expression
Throws:
  `ScriptException`

### getUserProperty

@Deprecated Object getUserProperty(String name)
Deprecated.
Returns user property defined in this element.

Parameters:
  `name` -
Returns:
  user property

### setUserProperty

void setUserProperty(String name, String value) throws ScriptException
Sets user property defined in this element.

Parameters:
  `name` -
  `value` -
Throws:
  `ScriptException`

### setUserProperty

void setUserProperty(String name, Object value, String type) throws ScriptException
Sets user property defined in this element.

Parameters:
  `name` -
  `value` -
  `type` -
Throws:
  `ScriptException`

### getParent

IDesignElement getParent()
Return the parent of this element

Returns:
  the parent

### getReport

IReportDesign getReport()
Gets the report.

Returns:
  the report

### getUserPropertyExpression

Object getUserPropertyExpression(String name)
Returns user property as an expression defined in this element.

Parameters:
  `name` - the user property name
Returns:
  user property as an expression